#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

export QT_SELECT=qt5

%:
	dh $@ --buildsystem=qmake
	
override_dh_auto_test:
	LD_LIBRARY_PATH=$(CURDIR)/lib dh_auto_test - $@

override_dh_auto_configure-indep:

override_dh_auto_build-indep:
	doxygen

override_dh_installdocs:
	dh_installdocs --doc-main-package=libcommuni-doc -p libcommuni-doc
	dh_installdocs --remaining-packages
